## TrackerMinerOnline TrackerMinerOnline — Abstract base class for miners connecting to online resources |

## Functions

TrackerNetworkType | tracker_miner_online_get_network_type ()

## Properties

TrackerNetworkType | network-type | Read

## Signals

gboolean | connected | Run Last
void | disconnected | Run Last

## Types and Values

struct | TrackerMinerOnline
struct | TrackerMinerOnlineClass

## Object Hierarchy

        GObject
        ╰── TrackerMiner
            ╰── TrackerMinerOnline

## Implemented Interfaces

TrackerMinerOnline implements GInitable.

## Includes

    #include <libtracker-miner/tracker-miner.h>

## Description

TrackerMinerOnline is an abstract base class for miners retrieving data from online resources. It's a very thin layer above TrackerMiner that additionally handles network connection status.

TrackerMinerOnline implementations can implement the `connected` vmethod in order to tell the miner whether a connection is valid to retrieve data or not. The miner data extraction still must be dictated through the TrackerMiner vmethods.

## Functions

### tracker_miner_online_get_network_type ()

    TrackerNetworkType
    tracker_miner_online_get_network_type (TrackerMinerOnline *miner);

Get the type of network this data `miner` uses to index content.

#### Parameters

miner | a TrackerMinerOnline. |

#### Returns

a TrackerNetworkType on success or TRACKER_NETWORK_TYPE_NONE on error.

Since: 0.18.

## Types and Values

### struct TrackerMinerOnline

    struct TrackerMinerOnline;

Abstract miner object for data requiring connectivity.

### struct TrackerMinerOnlineClass

    struct TrackerMinerOnlineClass {
    	TrackerMinerClass parent_class;

    	/* vmethods */
    	gboolean (* connected)    (TrackerMinerOnline *miner,
    	                           TrackerNetworkType  network);
    	void     (* disconnected) (TrackerMinerOnline *miner);

    	/* <Private> */
    	gpointer padding[10];
    };

Virtual methods that can be overridden.

#### Members

TrackerMinerClass `parent_class`; | a TrackerMinerClass |
`connected` () | called when there is a network connection, or a new default route, returning TRUE starts/resumes indexing. |
`disconnected` () | called when there is no network connection. |
gpointer `padding`[10]; | Reserved for future API improvements. |

Since: 0.18.

## Property Details

### The `“network-type”` property

      “network-type”             TrackerNetworkType

Network type for the current connection.

Flags: Read

Default value: TRACKER_NETWORK_TYPE_NONE

## Signal Details

### The `“connected”` signal

    gboolean
    user_function (TrackerMinerOnline *miner,
                   TrackerNetworkType  type,
                   gpointer            user_data)

the ::connected signal is emitted when a specific `type` of network becomes connected.

Return values of TRUE from this signal indicate whether a TrackerMiner should resume indexing or not upon ::connected.

#### Parameters

miner | a TrackerMinerOnline |
type | a TrackerNetworkType |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 0.18.0

### The `“disconnected”` signal

    void
    user_function (TrackerMinerOnline *miner,
                   gpointer            user_data)

the ::disconnected signal is emitted when a specific `type` of network becomes disconnected.

#### Parameters

miner | a TrackerMinerOnline |
type | a TrackerNetworkType |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 0.18.0